Subject: Re: [PATCH 6/8] receive-pack.c: add a receive.preferatomicpush configuration variable

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Oct 2014 15:03:30 -0700

Ronnie Sahlberg <[email-masked]> writes:

> At some stage it may becomes too many preferences and over-engineered.
> Maybe I should drop this patch and then just require the plain "if you
> want a push to be atomic, then use --atomic-push. end." and we have
> simple and easy to understand semantics.

As I still do not quite understand why you find that this could be a
"convenience preference" on the server operator's end, that would be
my preference, at least until I am convinced why this could be a
good idea.

Thanks.